﻿using System.Collections.Generic;
using System.Security.Claims;

namespace Health.Infra
{
    public interface IUserIdentity
    {
        int UserId { get; }
        IEnumerable<Claim> Claims { get; }
        bool TryClaim(string type, out string value);
        bool IsAuthenticated { get; }
    }
}
