﻿using Newtonsoft.Json;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Health.Api.Infrastructure.Modules
{
    [Table("SYS_USER")]
    public class SYS_USER
    {
        [Key]
        public long ID { get; set; }
        public DateTime CreateDate { get; set; }
        public string RealName { get; set; }
        public string Login { get; set; }
        [JsonIgnore]
        public string Password { get; set; }
        ///// <summary>
        ///// true 超级管理员 false 普通用户
        ///// </summary>
        public bool States { get; set; }
        /// <summary>
        /// true 删除 false 正常
        /// </summary>
        public bool IsDelete { get; set; }
        public bool IsDisable { get; set; }
    }
}
